
Foreman - Bug #2657

Cannot assign puppet classes from the Edit Host/Hostgroups menus

06/12/2013 07:37 AM - Jeremy Schrama

Status: Closed   

Priority: High   

Assignee: Greg Sutcliffe   

Category: Web Interface   

Target version: 1.2.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

When assigning puppet classes through the "Edit Host" or "Edit Hostgroup" menus the little plus sign ( + ) does not appear, making it

impossible to assign classes this way.

In /var/log/foreman/production.log we can see that Foreman somehow concatenates two paths while trying to load the picture for the

plus sign button, as a result it cannot find it.

Excerpt from the log:

ActionController::RoutingError (No route matches [GET]

"/assets/twitter/bootstrap/assets/twitter/bootstrap/glyphicons-halflings-2851b489e8c39f8fad44fc10efb99c3e.png"):

/usr/lib/ruby/1.8/phusion_passenger/rack/request_handler.rb:92:in `process_request'

/usr/lib/ruby/1.8/phusion_passenger/abstract_request_handler.rb:207:in `main_loop'

/usr/lib/ruby/1.8/phusion_passenger/rack/application_spawner.rb:118:in `run'

/usr/lib/ruby/1.8/phusion_passenger/rack/application_spawner.rb:65:in `spawn_application'

/usr/lib/ruby/1.8/phusion_passenger/utils.rb:184:in `safe_fork'

/usr/lib/ruby/1.8/phusion_passenger/rack/application_spawner.rb:58:in `spawn_application'

/usr/lib/ruby/1.8/phusion_passenger/rack/application_spawner.rb:41:in `spawn_application'

/usr/lib/ruby/1.8/phusion_passenger/spawn_manager.rb:159:in `spawn_application'

/usr/lib/ruby/1.8/phusion_passenger/spawn_manager.rb:287:in `handle_spawn_application'

/usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb:352:in `__send__'

/usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb:352:in `main_loop'

/usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb:196:in `start_synchronously'

/usr/lib/phusion_passenger/passenger-spawn-server:61

The path should be: /assets/twitter/bootstrap/glyphicons-halflings-2851b489e8c39f8fad44fc10efb99c3e.png

Additional information, as requested:

OS: Debian 6.0.6 Squeeze, 3.2.0-0.bpo.4-amd64

Packages: foreman 1.2.0+debian0.2, foreman-mysql2 1.2.0+debian0.2, foreman-proxy 1.2.0+debian0.2

(the foreman packages were downloaded and installed through the package manager, "deb http://deb.theforeman.org/ squeeze rc")

Associated revisions

Revision a8d06d2d - 06/13/2013 07:40 AM - Greg Sutcliffe

Fixes #2657 - Use twitter-bootstrap-rails version 2.2.6

Revision b30d5cc4 - 06/14/2013 10:29 AM - Greg Sutcliffe

Fixes #2657 - Use twitter-bootstrap-rails version 2.2.6

(cherry picked from commit a8d06d2d9289ac925d4a2d5ec1c52665c100830f)

History

#1 - 06/12/2013 10:25 AM - Anonymous

I'm also seeing this with 1.2RC2 on Debian/wheezy and Ubuntu/precise.
#2 - 06/12/2013 10:26 AM - Dominic Cleal

- Priority changed from Normal to High

#3 - 06/12/2013 10:46 AM - Dominic Cleal

- Status changed from New to Assigned

- Assignee set to Greg Sutcliffe

#4 - 06/12/2013 11:23 AM - Greg Sutcliffe

I can confirm this - however, it is cosmetic - the button is still there and can be clicked if you can find it ;)

Investigating what's going on now....

#5 - 06/13/2013 08:17 AM - Greg Sutcliffe

- Status changed from Assigned to Closed

- % Done changed from 0 to 100

Applied in changeset a8d06d2d9289ac925d4a2d5ec1c52665c100830f.
